knowl-apidocs
=============

 Automatically generate comprehensive API documentation for your Python Django projects with **knowl-apidocs**. It's the first tool of its kind, offering a 100% automated solution to create detailed API docs without writing a single line of code.
 
Key Features
------------

* **Fully Automated**: Generates complete API documentation directly from your Django repository, requiring no manual effort.
* **Easy to Use**: Simply run `knowl_apidocs <path_to_your_Django_repository>`, and your API documentation will be ready in the `api-reference` folder.
* **No Prerequisites Needed**: All necessary components are installed along with `knowl-apidocs`.
* **Python Compatibility**: Supports Python version 3.9 and above.

Getting Started
---------------

1. Install **knowl-apidocs** via pip:
 
```
pip install knowl-apidocs
```
2. Generate your API documentation:
 
```
knowl_apidocs <path_to_your_Django_repository>
```

 Check the `api-reference` folder in your project directory for the generated documentation.

Support and Contributions
-------------------------

* For open issues or specific requests regarding API documentation, visit our [GitHub issues](https://github.com/knowl-doc/awesome-api-docs).
* Need help or have questions? Contact us at [support@knowl.io](mailto:support@knowl.io).

Start simplifying your API documentation process with **knowl-apidocs** today!
